%define pypi_name hstspreload

Name:       python-%{pypi_name}
Version:    2024.6.1
Release:    %mkrel 1
Summary:    Chromium HSTS Preload list as a Python package and updated daily
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/hstspreload
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Chromium HSTS Preload list as a Python package and updated daily.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Chromium HSTS Preload list as a Python package and updated daily.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hstspreload

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 2024.6.1-1.mga10
+ Revision: 2077532
- new version 2024.6.1

* Tue Dec 12 2023 papoteur <papoteur> 2023.1.1-2.mga10
+ Revision: 2017560
- rebuild for python 3.12

* Sun Jan 15 2023 guillomovitch <guillomovitch> 2023.1.1-1.mga9
+ Revision: 1933282
- new version 2023.1.1

* Thu Dec 08 2022 guillomovitch <guillomovitch> 2022.12.1-1.mga9
+ Revision: 1919495
- new version 2022.12.1

* Sun Oct 09 2022 guillomovitch <guillomovitch> 2022.10.1-1.mga9
+ Revision: 1895681
- new version 2022.10.1

* Sun Sep 18 2022 guillomovitch <guillomovitch> 2022.9.1-1.mga9
+ Revision: 1889839
- new version 2022.9.1

* Thu Aug 25 2022 neoclust <neoclust> 2022.8.1-1.mga9
+ Revision: 1880184
- New version 2022.8.1

* Wed Mar 23 2022 umeabot <umeabot> 2021.12.1-3.mga9
+ Revision: 1823705
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2021.12.1-2.mga9
+ Revision: 1784384
- rebuild for python-3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 2021.12.1-1.mga9
+ Revision: 1761666
- new version 2021.12.1

* Sun Nov 28 2021 guillomovitch <guillomovitch> 2021.11.1-1.mga9
+ Revision: 1759744
- new version 2021.11.1

* Sat Sep 25 2021 guillomovitch <guillomovitch> 2021.9.1-1.mga9
+ Revision: 1746344
- new version 2021.9.1

* Sun Aug 22 2021 guillomovitch <guillomovitch> 2021.8.1-1.mga9
+ Revision: 1742337
- new version 2021.8.1

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2021.3.8-1.mga9
+ Revision: 1705040
- new version 2021.3.8

* Fri Feb 26 2021 guillomovitch <guillomovitch> 2021.2.15-1.mga9
+ Revision: 1691749
- new version 2021.2.15

* Fri Dec 25 2020 guillomovitch <guillomovitch> 2020.12.22-1.mga8
+ Revision: 1663592
- new version 2020.12.22

* Sat Nov 28 2020 guillomovitch <guillomovitch> 2020.11.21-1.mga8
+ Revision: 1649851
- new version 2020.11.21

* Sat Nov 07 2020 guillomovitch <guillomovitch> 2020.10.20-1.mga8
+ Revision: 1643218
- new version 2020.10.20

* Sat Aug 01 2020 guillomovitch <guillomovitch> 2020.7.29-1.mga8
+ Revision: 1610088
- new version 2020.7.29

* Tue Jul 14 2020 guillomovitch <guillomovitch> 2020.7.14-1.mga8
+ Revision: 1605948
- new version 2020.7.14

* Wed Jul 01 2020 guillomovitch <guillomovitch> 2020.6.30-1.mga8
+ Revision: 1601122
- new version 2020.6.30

* Sun Apr 19 2020 guillomovitch <guillomovitch> 2020.4.14-1.mga8
+ Revision: 1569887
- imported package python-hstspreload

